summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2017-04-21 18:29:16 +0200
committerMichał Górny <mgorny@gentoo.org>2017-05-27 17:19:20 +0200
commitb82a469c7cacd58d40b4d934d49c0d7316525ebe (patch)
tree778682eaf6013eb08de87e44dd20e2cbd062de9f /app-vim
parentapp-vim/gundo: Add missing [python] USE-dep on vim (diff)
downloadgentoo-b82a469c7cacd58d40b4d934d49c0d7316525ebe.tar.gz
gentoo-b82a469c7cacd58d40b4d934d49c0d7316525ebe.tar.bz2
gentoo-b82a469c7cacd58d40b4d934d49c0d7316525ebe.zip
app-vim/python-mode: Port to python-single-r1
Diffstat (limited to 'app-vim')
-rw-r--r--app-vim/python-mode/python-mode-0.6.18-r4.ebuild62
1 files changed, 62 insertions, 0 deletions
diff --git a/app-vim/python-mode/python-mode-0.6.18-r4.ebuild b/app-vim/python-mode/python-mode-0.6.18-r4.ebuild
new file mode 100644
index 00000000000..e8f195d59fa
--- /dev/null
+++ b/app-vim/python-mode/python-mode-0.6.18-r4.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+VIM_PLUGIN_MESSAGES="filetype"
+VIM_PLUGIN_HELPFILES="PythonModeCommands"
+VIM_PLUGIN_HELPURI="https://github.com/klen/python-mode"
+
+PYTHON_COMPAT=( python2_7 )
+
+inherit python-single-r1 vim-plugin
+
+DESCRIPTION="Provide python code looking for bugs, refactoring and other useful things"
+HOMEPAGE="http://www.vim.org/scripts/script.php?script_id=3770 https://github.com/klen/python-mode"
+SRC_URI="https://github.com/klen/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="LGPL-3"
+KEYWORDS="~amd64 ~x86"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="${PYTHON_DEPS}
+ || (
+ app-editors/vim[python,${PYTHON_USEDEP}]
+ app-editors/gvim[python,${PYTHON_USEDEP}]
+ )
+ dev-python/astng[${PYTHON_USEDEP}]
+ dev-python/autopep8[${PYTHON_USEDEP}]
+ dev-python/pyflakes[${PYTHON_USEDEP}]
+ dev-python/pylint[${PYTHON_USEDEP}]
+ dev-python/rope[${PYTHON_USEDEP}]
+ dev-python/ropemode[${PYTHON_USEDEP}]"
+
+src_prepare() {
+ eapply "${FILESDIR}"/${P}-dont-add-cwd-to-syspath.patch
+ eapply_user
+
+ # debundling fun
+ rm -rf pylibs/pylama/{pep8.py,pyflakes} pylibs/{autopep8.py}
+ #rm -rf pylibs/{rope,ropemode} #475686
+ sed -e 's/from .pep8/from pep8/g' \
+ -e 's/from .pyflakes/from pyflakes/g' \
+ -i pylibs/pylama/utils.py || die
+ # there's still pylint left, I failed to debundle it :/
+
+ mv pylint.ini "${T}" || die
+ sed -e "s|expand(\"<sfile>:p:h:h\")|\"${EPREFIX}/usr/share/${PN}\"|" \
+ -i autoload/pymode.vim || die # use custom path
+}
+
+src_install() {
+ vim-plugin_src_install
+ insinto usr/share/${PN}
+ doins "${T}"/pylint.ini
+}
+
+pkg_postinst() {
+ vim-plugin_pkg_postinst
+ einfo "If you use custom pylintrc make sure you append the contents of"
+ einfo " ${EPREFIX}/usr/share/${PN}/pylint.ini"
+ einfo "to it. Otherwise PyLint command will not work properly."
+}